{{ ============================================================================
''   File....... objOutput.spin
''   Stack...... None required.
''   Purpose.... Test delay caused by protection resistors
''   Author..... Alexander (Sandy) Hapgood
''               Copyright (c) 2012 Alexander Hapgood
''   E-mail..... sandy.hapgood@whitepoint.net
''   Revision... 2015-07-06  1502
''   Status..... Complete, Tested
'' ============================================================================
}}

PUB Start (pResult)
' Start low level driver in specific cog or the next available cog

' RETURNS: Nothing

  cognew(@PulseIn, pResult)            'cognew result is ignored


DAT
'*****************************************************************************
'
'*****************************************************************************
                   org       0

PulseIn            mov       pAddr, par
                   rdlong    inpin, pAddr
                   andn      dira, inpin
                   waitpeq   zero, inpin             'wait for low
                   mov       count, cnt
                   wrlong    count, pAddr 
                   jmp       #$
                   

zero               long $00000000
inpin              res 1

count              res 1
pAddr              res 1

                   fit